Webhook

Provides webhook functionality for integrating with external services and receiving real-time notifications and data updates.

Webhook

You can use webhooks to receive notifications about particular events in a sales channel or platform. After you've subscribed to a webhook which can be a URL, your app can execute code immediately after specific events occur in the sales channels or platform, instead of having to make API calls periodically to check their status. For example, you can rely on webhooks to trigger an action in your sales channel when a customer creates a cart, or when a merchant creates a new product in their Fynd Platform. By using webhooks, you can make fewer API calls overall, which makes sure that your apps are more efficient and update quickly.

Operations
POST
/service/platform/webhook/v2.0/company/{company_id}/subscriber/
# Register Subscriber.
PUT
/service/platform/webhook/v2.0/company/{company_id}/subscriber/
# Update Subscriber.
GET
/service/platform/webhook/v1.0/company/{company_id}/subscriber/
# List subscribers by company
PUT
/service/platform/webhook/v3.0/company/{company_id}/subscriber/
# Register Subscriber.
GET
/service/platform/webhook/v1.0/company/{company_id}/subscriber/{subscriber_id}
# Get a subscriber
GET
/service/platform/webhook/v1.0/company/{company_id}/extension/{extension_id}/subscriber/
# List subscribers by extension ID
POST

Register Subscriber.

Register Subscriber.
Parameters
company_idpath
number
Required
Unique identifier for the company.
Request body
name
string
Required
The name of the subscriber.
type
string
Nullable
The type of the subscriber, which may be null.
webhook_url
string
The URL for the subscriber's webhook.
provider
string
Required
The provider of the subscriber.
Enum
association
object (Association)
Required
Show
custom_headers
object
Custom headers for the subscriber.
status
object (SubscriberStatus)
Required
Enum
email_id
string
Required
The email ID associated with the subscriber.
auth_meta
object (AuthMeta)
Show
events
array of object (Events)
Required
The list of events associated with the subscriber.
Show
POST
/service/platform/webhook/v2.0/company/{company_id}/subscriber/
Loading...
Response
200
Success
Hide
id
integer
| int32
The unique identifier of the subscriber configuration.
modified_by
string
The identifier of the user who last modified the subscriber configuration.
name
string
The name of the subscriber.
webhook_url
string
The URL for the subscriber's webhook.
provider
string
The provider of the subscriber.
Enum
association
object (AssociationResp)
Show
custom_headers
object
Custom headers for the subscriber.
status
object (SubscriberStatus)
Enum
source
string
Nullable
Source that subscriber belongs to.
email_id
string
The email ID associated with the subscriber.
updated_on
string
| date-time
The date and time when the subscriber was last updated.
created_on
string
| date-time
The date and time when the subscriber was created.
type
string
Nullable
The type of the subscriber, which can be null.
auth_meta
object (AuthMeta)
Show
event_id
array of integer
The list of event IDs associated with the subscriber.
Examples
Parameters
company_id:
1
body:
body
Response
Loading...
PUT

Update Subscriber.

Update Subscriber.
Parameters
company_idpath
number
Required
Unique identifier for the company.
Request body
id
integer
| int32
Required
The unique identifier of the subscriber to be updated.
name
string
The name of the subscriber.
type
string
Nullable
The type of the subscriber, which may be null.
webhook_url
string
The URL for the subscriber's webhook.
provider
string
Required
The provider of the subscriber.
Enum
association
object (Association)
Show
custom_headers
object
Custom headers for the subscriber.
status
object (SubscriberStatus)
Required
Enum
email_id
string
The email ID associated with the subscriber.
auth_meta
object (AuthMeta)
Show
events
array of object (Events)
The list of events associated with the subscriber.
Show
PUT
/service/platform/webhook/v2.0/company/{company_id}/subscriber/
Loading...
Response
200
Success
Hide
id
integer
| int32
The unique identifier of the subscriber configuration.
modified_by
string
The identifier of the user who last modified the subscriber configuration.
name
string
The name of the subscriber.
webhook_url
string
The URL for the subscriber's webhook.
provider
string
The provider of the subscriber.
Enum
association
object (AssociationResp)
Show
custom_headers
object
Custom headers for the subscriber.
status
object (SubscriberStatus)
Enum
source
string
Nullable
Source that subscriber belongs to.
email_id
string
The email ID associated with the subscriber.
updated_on
string
| date-time
The date and time when the subscriber was last updated.
created_on
string
| date-time
The date and time when the subscriber was created.
type
string
Nullable
The type of the subscriber, which can be null.
auth_meta
object (AuthMeta)
Show
event_id
array of integer
The list of event IDs associated with the subscriber.
Examples
Parameters
company_id:
1
body:
body
Response
Loading...
GET

List subscribers by company

Retrieve subscribers associated with a company.
Parameters
company_idpath
number
Required
Unique identifier for the company.
page_noquery
integer
Page Number
page_sizequery
integer
| int32
Page Size
extension_idquery
string
extension_id
GET
/service/platform/webhook/v1.0/company/{company_id}/subscriber/
Loading...
Response
200
Subscribers By Company ID.
Hide
items
array of object (SubscriberDetails)
List of subscriber details.
Show
page
object (Page)
Show
Examples
Parameters
company_id:
1
page_no:
1
page_size:
10
extension_id:
"652255c58ab4101b2595c6c5"
Response
Loading...
PUT

Register Subscriber.

Register Subscriber.
Parameters
company_idpath
number
Required
Unique identifier for the company.
Request body
webhook_config
object (WebhookConfig)
Required
Show
PUT
/service/platform/webhook/v3.0/company/{company_id}/subscriber/
Loading...
Response
200
Success
Hide
status
boolean
The status of the upsert operation (e.g., success or failure).
message
string
A message providing details about the upsert operation result.
Examples
Parameters
company_id:
1
body:
body
Response
Loading...
GET

Get a subscriber

Retrieve a subscriber's details by their unique identifier.
Parameters
company_idpath
number
Required
Unique identifier for the company.
subscriber_idpath
integer
Required
subscriber id
GET
/service/platform/webhook/v1.0/company/{company_id}/subscriber/{subscriber_id}
Loading...
Response
200
Success
Hide
id
integer
| int32
The unique identifier of the subscriber.
modified_by
string
The identifier of the user who last modified the subscriber details.
name
string
The name of the subscriber.
provider
string
The provider of the subscriber.
Enum
webhook_url
string
The URL for the subscriber's webhook.
source
string
Nullable
Source that subscriber belongs to.
association
object (AssociationResp)
Show
custom_headers
object
Nullable
Custom headers for the subscriber.
status
object (SubscriberStatus)
Enum
email_id
string
The email ID associated with the subscriber.
updated_on
string
| date-time
The date and time when the subscriber details were last updated.
created_on
string
| date-time
The date and time when the subscriber was created.
type
string
Nullable
The type of subscriber, which can either be passed as null.
auth_meta
object (AuthMeta)
Show
event_configs
array of object (EventConfig)
List of event configurations.
Show
Examples
Parameters
company_id:
1
subscriber_id:
1
Response
Loading...
GET

List subscribers by extension ID

Retrieve subscribers associated with a specific extension.
Parameters
page_noquery
integer
Page Number
page_sizequery
integer
| int32
Page Size
company_idpath
number
Required
Unique identifier for the company.
extension_idpath
string
Required
extension_id
GET
/service/platform/webhook/v1.0/company/{company_id}/extension/{extension_id}/subscriber/
Loading...
Response
200
Success
Hide
items
array of object (SubscriberDetails)
List of subscriber details.
Show
page
object (Page)
Show
Examples
Parameters
page_no:
1
page_size:
10
company_id:
1
extension_id:
"652255c58ab4101b2595c6c5"
Response
Loading...